package com.ym.mec.common.entity;

public class ImGroupModel {
    private String id;
    private ImGroupMember[] members;
    private String name;
    private Integer minute;
    private Integer status;

    public ImGroupModel() {
    }

    public ImGroupModel(String id, ImGroupMember[] members, String name, Integer minute) {
        this.id = id;
        this.members = members;
        this.name = name;
        this.minute = minute;
    }

    public ImGroupModel(String id, Integer status) {
        this.id = id;
        this.status = status;
    }

    public String getId() {
        return this.id;
    }

    public ImGroupModel setId(String id) {
        this.id = id;
        return this;
    }

    public ImGroupMember[] getMembers() {
        return this.members;
    }

    public ImGroupModel setMembers(ImGroupMember[] members) {
        this.members = members;
        return this;
    }

    public String getName() {
        return this.name;
    }

    public ImGroupModel setName(String name) {
        this.name = name;
        return this;
    }

    public Integer getMinute() {
        return this.minute;
    }

    public ImGroupModel setMinute(Integer minute) {
        this.minute = minute;
        return this;
    }

    public Integer getStatus() {
        return this.status;
    }

    public ImGroupModel setStatus(Integer status) {
        this.status = status;
        return this;
    }
}
